## libinklevel 0.6.6~rc5

=== Makefile ===
DESTDIR = /usr/local/
CFLAGS = -Wall -O2 -fPIC -DPIC -I.

all: libinklevel.so.3.0.6.6

install: all
	mkdir -p $(DESTDIR)/include
	install -m 644 -o root -g root inklevel.h $(DESTDIR)/include/inklevel.h
	mkdir -p $(DESTDIR)/lib
	install -m 755 -o root -g root libinklevel.so.3.0.6.6 \
	$(DESTDIR)/lib/libinklevel.so.3.0.6.6
	cd $(DESTDIR)/lib && rm -fr libinklevel.so && \
	ln -s libinklevel.so.3.0.6.6 libinklevel.so
	cd $(DESTDIR)/lib && rm -fr libinklevel.so.3 && \
	ln -s libinklevel.so.3.0.6.6 libinklevel.so.3
	ldconfig $(DESTDIR)/lib

clean:
	rm -fr *.o *.so.3.0.6.6 *~

canon.o: canon.c inklevel.h

d4lib.o: d4lib.c d4lib.h

epson_new.o: epson_new.c inklevel.h d4lib.h

hp.o: hp.c inklevel.h

libinklevel.o: libinklevel.c inklevel.h

linux.o: linux.c inklevel.h

util.o: util.c inklevel.h

libinklevel.so.3.0.6.6: canon.o d4lib.o epson_new.o hp.o libinklevel.o \
			linux.o util.o
	$(CC) -shared -Wl,-soname,libinklevel.so.3 -o libinklevel.so.3.0.6.6 \
	canon.o d4lib.o epson_new.o hp.o libinklevel.o linux.o util.o \
	-lc -lieee1284

## libinklevel 0.7.1

=== Makefile ===
DESTDIR = /usr/local/
CFLAGS = -Wall -O2 -fPIC -DPIC -I.

all: libinklevel.so.4.0.7.1

install: all
	mkdir -p $(DESTDIR)/include
	install -m 644 -o root -g root inklevel.h $(DESTDIR)/include/inklevel.h
	mkdir -p $(DESTDIR)/lib
	install -m 755 -o root -g root libinklevel.so.4.0.7.1 \
	$(DESTDIR)/lib/libinklevel.so.4.0.7.1
	cd $(DESTDIR)/lib && rm -fr libinklevel.so && \
	ln -s libinklevel.so.4.0.7.1 libinklevel.so
	cd $(DESTDIR)/lib && rm -fr libinklevel.so.4 && \
	ln -s libinklevel.so.4.0.7.1 libinklevel.so.4
	/sbin/ldconfig $(DESTDIR)/lib

clean:
	rm -fr *.o *.so.4.0.7.1 *~

canon.o: canon.c inklevel.h

d4lib.o: d4lib.c d4lib.h

epson_new.o: epson_new.c inklevel.h d4lib.h

hp_new.o: hp_new.c inklevel.h

libinklevel.o: libinklevel.c inklevel.h

linux.o: linux.c inklevel.h

util.o: util.c inklevel.h

libinklevel.so.4.0.7.1: canon.o d4lib.o epson_new.o hp_new.o libinklevel.o \
			linux.o util.o
	$(CC) $(CFLAGS) -shared -Wl,-soname,libinklevel.so.4 \
	-o libinklevel.so.4.0.7.1 \
	canon.o d4lib.o epson_new.o hp_new.o libinklevel.o linux.o util.o \
	-lc -lieee1284

## libinklevel 0.7.2

=== Makefile ===
DESTDIR = 
PREFIX = /usr/local
CFLAGS = -Wall -O2 -fPIC -DPIC -I.
CC = gcc

all: libinklevel.so.4.0.7.2

install: all
	install -D -m 644 -o root -g root inklevel.h \
		$(DESTDIR)/$(PREFIX)/include/inklevel.h
	install -D -m 644 -o root -g root libinklevel.so.4.0.7.2 \
		$(DESTDIR)/$(PREFIX)/lib/libinklevel.so.4.0.7.2
	cd $(DESTDIR)/$(PREFIX)/lib && rm -fr libinklevel.so && \
		ln -s libinklevel.so.4.0.7.2 libinklevel.so 
	cd $(DESTDIR)/$(PREFIX)/lib && rm -fr libinklevel.so.4 && \
		ln -s libinklevel.so.4.0.7.2 libinklevel.so.4

clean:
	rm -fr *.o *.so.4.0.7.2 *~

canon.o: canon.c inklevel.h

d4lib.o: d4lib.c d4lib.h

epson_new.o: epson_new.c inklevel.h d4lib.h

hp_new.o: hp_new.c inklevel.h

libinklevel.o: libinklevel.c inklevel.h

linux.o: linux.c inklevel.h

util.o: util.c inklevel.h

libinklevel.so.4.0.7.2: canon.o d4lib.o epson_new.o hp_new.o libinklevel.o \
			linux.o util.o
	$(CC) $(CFLAGS) -shared -Wl,-soname,libinklevel.so.4 \
		-o libinklevel.so.4.0.7.2 canon.o d4lib.o epson_new.o \
		hp_new.o libinklevel.o linux.o util.o -lc -lieee1284

## libinklevel 0.7.3

=== Makefile ===
DESTDIR = 
PREFIX = /usr/local
CFLAGS += -Wall -O2 -fPIC -DPIC -I.
CC = gcc

all: libinklevel.so.4.0.7.3

install: all
	install -D -m 644 inklevel.h \
		$(DESTDIR)/$(PREFIX)/include/inklevel.h
	install -D -m 644 libinklevel.so.4.0.7.3 \
		$(DESTDIR)/$(PREFIX)/lib/libinklevel.so.4.0.7.3
	cd $(DESTDIR)/$(PREFIX)/lib && rm -fr libinklevel.so && \
		ln -s libinklevel.so.4.0.7.3 libinklevel.so 
	cd $(DESTDIR)/$(PREFIX)/lib && rm -fr libinklevel.so.4 && \
		ln -s libinklevel.so.4.0.7.3 libinklevel.so.4

clean:
	rm -fr *.o *.so.4.0.7.3 *~

canon.o: canon.c inklevel.h

d4lib.o: d4lib.c d4lib.h

epson_new.o: epson_new.c inklevel.h d4lib.h

hp_new.o: hp_new.c inklevel.h

libinklevel.o: libinklevel.c inklevel.h

linux.o: linux.c inklevel.h

util.o: util.c inklevel.h

libinklevel.so.4.0.7.3: canon.o d4lib.o epson_new.o hp_new.o libinklevel.o \
			linux.o util.o
	$(CC) $(CFLAGS) -shared -Wl,-soname,libinklevel.so.4 \
		-o libinklevel.so.4.0.7.3 canon.o d4lib.o epson_new.o \
		hp_new.o libinklevel.o linux.o util.o -lc -lieee1284

## libinklevel 0.8.0

=== debian/changelog ===
libinklevel (0.8.0-3) unstable; urgency=medium

  * QA upload.
  * Capitalize "usb" in extended description. Closes: #580150.
  * Use dh-autoreconf instead of autotools-dev. Closes: #744615.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 19 Aug 2014 19:56:39 +0200

libinklevel (0.8.0-2) unstable; urgency=low

  * QA upload, set maintainer to Debian QA grup
  * Update standards version
  * Convert to source format 3 (quilt), drop dpatch

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 09 Apr 2014 08:18:40 +0200

libinklevel (0.8.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism in debian/rules. Closes: #535380

 -- Raphael Geissert <geissert@debian.org>  Tue, 07 Jul 2009 13:20:36 -0500

libinklevel (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Regenerate README.Debian (with supported printers list).
  * Bump Standards-Version.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 01 Jul 2009 20:34:45 +0200

libinklevel (0.8.0~rc2-1) unstable; urgency=low

  * New upstream release.
  * Few packaging fix because upstream now uses autotools.
  * Regenerate README.Debian (with supported printers list).
  * Bump Standards-Version.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 30 Apr 2009 20:43:56 +0200

libinklevel (0.8.0~rc1-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch.
  * Update debian/copyright.
  * Bump Standards-Version.
  * Add xutils-dev build dependency (provides makedepend tool).
  * Bump library package name to match current soname.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 13 Feb 2009 20:21:35 +0100

libinklevel (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Update debian/make-supported-list.py (generate README.Debian).
  * Bump Standards-Version to 3.7.3.
  * Move homepage to the new dpkg field.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 27 May 2008 23:04:14 +0200

libinklevel (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Update README.Debian.
  * Drop 000-Makefiles_improvements patch, fixed upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 03 Aug 2007 21:32:42 +0200

libinklevel (0.7.1-3) unstable; urgency=low

  * Uploading to unstable (Closes: #416332).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 10 Apr 2007 18:24:54 +0200

libinklevel (0.7.1-2) experimental; urgency=low

  * Add "001-Fix _FTBFS_on_gnu-kfreebsd" patch, thanks to Cyril Brulebois (Closes: #416332).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 27 Mar 2007 16:32:42 +0200

libinklevel (0.7.1-1) experimental; urgency=low

  * New upstream release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 19 Mar 2007 21:02:04 +0100

libinklevel (0.7.0-1) experimental; urgency=low

  * New upstream release.
  * Update debian/watch.
  * Add debian/make-supported-list.py to create (un)supported printers list.
    (debian/rules README.Debian).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 15 Mar 2007 09:01:08 +0100

libinklevel (0.6.6~rc5-2) unstable; urgency=low

  * Update debian/watch.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 24 Nov 2006 00:48:11 +0100

libinklevel (0.6.6~rc5-1) unstable; urgency=low

  * Initial release (Closes: #386849).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 10 Sep 2006 17:54:08 +0200

=== debian/control ===
Source: libinklevel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper, libieee1284-3-dev, xutils-dev, dh-autoreconf, pkg-config
Standards-Version: 3.9.3
Section: libs
Homepage: http://libinklevel.sourceforge.net/

Package: libinklevel-dev
Section: libdevel
Architecture: any
Depends: libinklevel5 (= ${binary:Version}), ${misc:Depends}
Description: development files for libinklevel5
 The aim of this library is to provide a way to check the ink level of a local
 printer.
 .
 It supports printers attached via parallel port or USB.
 .
 Many HP, Epson and Canon printers are supported.
 .
 Development files.

Package: libinklevel5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for checking the ink level of your local printer
 The aim of this library is to provide a way to check the ink level of a local
 printer.
 .
 It supports printers attached via parallel port or USB.
 .
 Many HP, Epson and Canon printers are supported.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
CFLAGS += -fPIC -DPIC -I.

# Helper to create README.Debian with (un)supported printer list
README.Debian:
	$(shell python debian/make-supported-list.py > $(CURDIR)/debian/libinklevel5.README.Debian)

config.status: configure
	dh_autoreconf
	./configure --host=$(DEB_HOST_GNU_TYPE) \
                    --build=$(DEB_BUILD_GNU_TYPE) \
                    --prefix=/usr \
                    --mandir=/usr/share/man \
                    CFLAGS="$(CFLAGS)" \
                    LDFLAGS="-Wl,-z,defs"

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs ChangeLog
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	# Remove libdev doc dir to allow symlinking it to the lib's one
	rm -rf debian/libinklevel-dev/usr/share/doc/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
http://sf.net/libinklevel/libinklevel-([0-9\.(rc)]+)\.tar\.gz

## libinklevel 0.9.2

=== debian/changelog ===
libinklevel (0.9.2-3) unstable; urgency=medium

  * QA upload.
  * debian/copyright: removed extra blank line.
  * debian/libinklevel5.README.Debian:
      - Included with list of supported and unsupported printers.
  * debian/rules:
      - Removed python script that run and use network during building time.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Fri, 06 Nov 2015 10:15:00 -0200

libinklevel (0.9.2-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 17 Aug 2015 16:10:00 -0300

libinklevel (0.9.2-1) experimental; urgency=medium

  * QA upload.
  * New upstream release.
  * DH level to 9.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Add libusb-1.0-0-dev to Build-Depends field.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Revised and updated all information.
  * debian/clean: added to remove file generated by upstream when building.
  * debian/libinklevel5.install: added support to multiarch paths.
  * debian/libinklevel-dev.install: added support to multiarch paths.
  * debian/patches:
      - Removed because support to KFreeBSD was included by upstream.
  * debian/rules:
      - Updated to reduced format.
      - Included override_dh_auto_install
        to create README.Debian with (un)supported printer list.
      - Include override_dh_link to remove libdev doc dir to allow 
        symlinking it to the lib's one
  * debian/watch: improved.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 15 Aug 2015 16:54:00 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libinklevel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper, libieee1284-3-dev, xutils-dev, dh-autoreconf, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: debhelper(>= 9), libieee1284-3-dev, xutils-dev, dh-autoreconf, pkg-config, libusb-1.0-0-dev
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://libinklevel.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_link:
	rm -rf debian/libinklevel-dev/usr/share/doc/libinklevel-dev
	dh_link

=== debian/watch ===
version=3
http://sf.net/libinklevel/libinklevel-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## libinklevel 0.9.3

=== debian/changelog ===
libinklevel (0.9.3-3) unstable; urgency=medium

  * Adopt package. (Closes: #673952)
  * debian/control: Drop build-dependency libieee1284-3-dev.
    This is no longer used since libinklevel 0.9.0.
  * debian/make-supported-list.py: Migrate to python3.
  * debian/clean: Dropped, handled by dh_auto_clean.
  * debian/libinklevel5.README.Debian: Refreshed.
  * debian/patches/autoconf2.70: Document that the patch is accepted
    by upstream maintainer.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Jan 2021 21:46:40 -0500

libinklevel (0.9.3-2) unstable; urgency=medium

  * QA upload.
  * Rebuild before Debian 11 release.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Update standards version, no changes needed.
  * Set upstream metadata fields: Archive.

  [ Boyuan Yang ]
  * Update standards version to 4.5.1, no changes needed.
  * debian/control: Fix Vcs-* fields.
  * debian/copyright: Fix lintian warning.
  * debian/patches/0001-configure.ac: Add patch to fix FTBFS
    with autoconf 2.70. (Closes: #978849)

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Jan 2021 11:32:28 -0500

libinklevel (0.9.3-1) unstable; urgency=medium

  * QA upload.
  * Rebuild for Debian Buster.
  * New upstream release (0.9.3, 2018-07-14).
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + Use "Rules-Requires-Root: no".
    + Mark all binary packages as Multi-Arch: same.
    + Add Vcs-* fields to use git packaging repo under Salsa
      Debian Group.
  * debian/copyright: Use secure uri.
  * debian/rules:
    + Enable full hardening.
    + Use "dh_missing --fail-missing".
  * debian/make-supported-list.py:
    + Explicitly mark that this script is to be compatible only
      with Python 2.
  * debian/libinklevel5.README.Debian: Updated.
  * debian/libinklevel5.symbols: Add a Build-Depends-Package field.
  * debian/not-installed: Do not install unnecessary files (.la
    files and extra documents).

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Feb 2019 14:29:08 -0500

=== debian/control ===
Source: libinklevel
Section: libs
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libusb-1.0-0-dev,
 pkg-config,
 xutils-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: http://libinklevel.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/libinklevel.git
Vcs-Browser: https://salsa.debian.org/debian/libinklevel

Package: libinklevel-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libinklevel5 (= ${binary:Version}),
 ${misc:Depends},
Description: development files for libinklevel5
 The aim of this library is to provide a way to check the ink level of a local
 printer.
 .
 It supports printers attached via parallel port or USB.
 .
 Many HP, Epson and Canon printers are supported.
 .
 Development files.

Package: libinklevel5
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for checking the ink level of your local printer
 The aim of this library is to provide a way to check the ink level of a local
 printer.
 .
 It supports printers attached via parallel port or USB.
 .
 Many HP, Epson and Canon printers are supported.

=== debian/watch ===
version=3
https://sf.net/libinklevel/libinklevel-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## libinklevel 0.9.4

=== debian/changelog ===
libinklevel (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4.
  * debian/patches: Drop patches applied upstream.
  * libinklevel5.README.Debian: updated.
  * debian/control: Bump Standards-Version to 4.6.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Jul 2022 10:47:00 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  pkg-config,
  xutils-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: http://libinklevel.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/libinklevel.git
 Vcs-Browser: https://salsa.debian.org/debian/libinklevel

## libinklevel 0.9.5

=== debian/changelog ===
libinklevel (0.9.5-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:07:04 +1100

libinklevel (0.9.5-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1064910)

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Feb 2024 12:28:09 -0500

libinklevel (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5.

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Jan 2023 15:08:15 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: libinklevel
 Section: libs
 Priority: optional
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libusb-1.0-0-dev,
+ libxml2-dev,
  pkg-config,
  xutils-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://libinklevel.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/libinklevel.git
 Vcs-Browser: https://salsa.debian.org/debian/libinklevel

## libinklevel 0.9.6

=== debian/changelog ===
libinklevel (0.9.6-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 14 Nov 2024 13:54:18 -0500

## libinklevel 0.9.7

=== debian/changelog ===
libinklevel (0.9.7-2) unstable; urgency=medium

  * QA upload.
  * debian/control: Limit package architecture to linux-any, kfreebsd-any
    since its upstream only supports Linux and FreeBSD platforms.
    This avoids repeated build failure on Hurd.
  * debian/control: Bump Standards-Version to 4.7.2.
  * debian/copyright: Use SPDX short name, use HTTPS for URLs.

 -- Boyuan Yang <byang@debian.org>  Sun, 31 Aug 2025 13:09:11 -0400

libinklevel (0.9.7-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Mar 2025 12:13:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: libinklevel
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libusb-1.0-0-dev,
  libxml2-dev,
- pkg-config,
+ pkgconf,
  xutils-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://libinklevel.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/debian/libinklevel.git
 Vcs-Browser: https://salsa.debian.org/debian/libinklevel
 
 Package: libinklevel-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends:
  libinklevel5 (= ${binary:Version}),
@@ -33,7 +32,7 @@
  Development files.
 
 Package: libinklevel5
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Multi-Arch: same
 Depends:
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@

execute_before_dh_link:
	rm -rf debian/libinklevel-dev/usr/share/doc/libinklevel-dev
